Package twisted :: Package web :: Module domhelpers :: Class RawText

[show private | hide private]
[frames | no frames]

## Class RawText

         Node --+
                |
    CharacterData --+
                    |
                 Text --+
                        |
                       RawText

This is an evil and horrible speed hack. Basically, if you have a big chunk of XML that you want to insert into the DOM, but you don't want to incur the cost of parsing it, you can construct one of these and insert it into the DOM. This will most certainly only work with microdom as the API for converting nodes to xml is different in every DOM implementation.

This could be improved by making this class a Lazy parser, so if you inserted this into the DOM and then later actually tried to mutate this node, it would be parsed then.

Method Summary
| `__init__(self, data, parentNode, raw)` (inherited from `Text`)
| `__eq__(self, n)` (inherited from `CharacterData`)
| `__hash__(self)` (inherited from `Node`)
| `__repr__(self)` (inherited from `Text`)
| `appendChild(self, child)` (inherited from `Node`)
| `cloneNode(self, deep, parent)` (inherited from `Text`)
| `firstChild(self)` (inherited from `Node`)
| `hasChildNodes(self)` (inherited from `Node`)
| `insertBefore(self, new, ref)` (inherited from `Node`)
| `isEqualToCharacterData(self, n)` (inherited from `CharacterData`)
| `isEqualToNode(self, n)` (inherited from `Node`)
| `lastChild(self)` (inherited from `Node`)
| `removeChild(self, child)` (inherited from `Node`)
| `replaceChild(self, newChild, oldChild)` (inherited from `Node`)
| `toprettyxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `toxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `writexml(self, writer, indent, addindent, newl, strip)`

Generated by Epydoc 1.1 on Thu May 8 13:16:57 2003 | http://epydoc.sf.net